Subject: Re: [Hipsec] Need to clarify HIT prefix

From: Samu Varjonen <[email-masked]>
Date: Fri, 01 Apr 2011 10:13:03 +0300

1.4.2011 7:24, Samu Varjonen kirjoitti:
> 31.3.2011 22:37, Robert Moskowitz kirjoitti:
>> WHAT is the prefix used in HIPv1 (RFC 5201)?
>>
>> RFC 4843 states:
>>
>> Prefix : A constant 28-bit-long bitstring value
>> (2001:10::/28).
>>
>>
>> But 4843-bis states:
>>
>> IANA allocated a temporary non-routable 28-bit prefix from the IPv6
>> address space. By default, the prefix will be returned to IANA in
>> 2014, continued use requiring IETF consensus. As per [RFC4773], the
>> 28-bit prefix was drawn out of the IANA Special Purpose Address
>> Block, namely 2001:0000::/23, in support of the experimental usage
>> described in this document. IANA has updated the IPv6 Special
>> Purpose Address Registry.
>>
>> There is NOTHING in the IANA registry about any assignment. But as I
>> plowed through the iana assignment information, I found:
>>
>> http://www.iana.org/assignments/ipv6-unicast-address-assignments/ipv6-unicast-address-assignments.xml
>>
>>
>>
>> [9] 3FFE:831F::/32 was used for Teredo in some old but widely
>> distributed networking stacks. This usage is deprecated in favour of
>> 2001::/32,
>> which was allocated for the purpose in [RFC4380]
>>
>> And sure enough in 4380:
>>
>> 2.6. Global Teredo IPv6 Service Prefix
>>
>> An IPv6 addressing prefix whose value is 2001:0000:/32.
>>
>> From this I MIGHT infer that Teredo is stepping within HIP's ORCHID
>> allocation!
>>
>
> There is something similar going on with RFC 3849. The Nit-checker
> complained the following:
>
> "
> == There are 2 instances of lines with non-RFC3849-compliant IPv6 addresses
> in the document. If these are example addresses, they should be changed.
> "
>

Forgot to mention that this happened when the IETF Nit-checker tried to 
check HITs from a draft.

>
>> Obviously this needs some clarification (at least for me!)
>>
>> AND
>>
>> IANA needs to put in the registry what HIPv1 is using, and then make
>> sure that the HIPv2 prefix is publicized.
>>
>>
>> _______________________________________________
>> Hipsec mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/hipsec
>
> _______________________________________________
> Hipsec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hipsec

---

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 12 Apr 2011 11:14:31 +0300

Folks,

note that the issue Bob describes below is a fairly important one. I
know the WG is running low on energy but we need a volunteer to reach
out to the IANA in order to resolve this issue.

Thanks,

Gonzalo

On 31/03/2011 10:37 PM, Robert Moskowitz wrote:
>          distributed networking stacks. This usage is deprecated in 
> favour of 2001::/32,

---

From: Julien Laganier <[email-masked]>
Date: Fri, 15 Apr 2011 03:36:59 -0700

http://www.iana.org/assignments/iana-ipv6-special-registry/iana-ipv6-special-registry.xml

On Thu, Mar 31, 2011 at 12:37 PM, Robert Moskowitz <[email-masked]> wrote:
> There is NOTHING in the IANA registry about any assignment.  But as I plowed
> through the iana assignment information, I found:
>
> IANA needs to put in the registry what HIPv1 is using, and then make sure
> that the HIPv2 prefix is publicized.
>
>

---

From: Julien Laganier <[email-masked]>
Date: Fri, 15 Apr 2011 03:39:55 -0700

and FWIW 2001:10::/28 and 2001:0000::/32 are disjoint.

---

From: Robert Moskowitz <[email-masked]>
Date: Fri, 15 Apr 2011 08:42:25 -0400

> and FWIW 2001:10::/28 and 2001:0000::/32 are disjoint.

Well yes, for 4843 and 4380.

And do current HIP implementations use 2001:10::/28?

But 4843-bis has 2001:0000::/23

Perhaps that is a typo or a placeholder?

So in part what Gonzalo is saying is do we stay with what we have right 
now during the ID phase, or do we ask IANA for a proper assignment 
during development?

> On Fri, Apr 15, 2011 at 3:36 AM, Julien Laganier<[email-masked]>  wrote:
>> On Thu, Mar 31, 2011 at 12:37 PM, Robert Moskowitz<[email-masked]>  wrote:

---

From: Robert Moskowitz <[email-masked]>
Date: Fri, 15 Apr 2011 09:29:07 -0400

> But 4843-bis has 2001:0000::/23

I see now that I mis-read 4843-bis.  I read the IANA considerations and 
I suppose due to being over tired at IETF  :)  , I got it wrong.  Julien 
has it right (after all he wrote it!).

 From this though, we need to clean up the IANA considerations to what 
we want IANA to do as part of moving the draft to rfc.   I might think.

> So in part what Gonzalo is saying is do we stay with what we have 
> right now during the ID phase, or do we ask IANA for a proper 
> assignment during development?
>
>>>> favour of